Skip to navigation

Get fulfillment requests filtered by search parameters

Get all fulfillment requests that match the parameters that you have submitted

Authentication

tokenstring

The Authentication token obtained from the get_token route.

OR
x-api-keystring
The SSO token obtained from the Feedonomics platform SSO token route.

Headers

clientintegerRequired
The ID of the client making the request

Query parameters

created_afterdatetimeOptional

Record was created after this datetime. RFC-3339 date-time format — fractional seconds not allowed

created_beforedatetimeOptional

Record was created before this datetime. RFC-3339 date-time format — fractional seconds not allowed

idstringOptional

FeedAMP fulfillment request ID. May be a comma-delimited list of multiple IDs.

platform_order_numberstringOptional

Order identifier from associated e-commerce platform order record. May be a comma-delimited list of multiple

fulfilling_integration_idstringOptional
FeedAMP integration ID responsible for fulfilling orders
limitintegerOptional1-250Defaults to 100
The max number of fulfillment requests in the response
cursorstringOptional
Cursor for the next page of fulfillment requests

Response

List of fulfillment requests
fulfillment_requestslist of objects
next_cursorstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error